oracle.xml.async

## Class XSLTransformerBeanInfo

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - oracle.xml.async.XSLTransformerBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class XSLTransformerBeanInfo
    extends java.beans.SimpleBeanInfo

This class provides information about the XSLTransformer Bean.

### Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

### Constructor Summary

Constructors
Constructor and Description
`XSLTransformerBeanInfo()` The default Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`java.awt.Image` `getIcon(int iconKind)` Gets an image object that can be used to represent `XSLTransformer` bean in toolbars, toolboxes, etc.
`java.beans.PropertyDescriptor[]` `getPropertyDescriptors()` Gets the `XSLTransformer` bean's `PropertyDescriptors`

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSLTransformerBeanInfo

    public XSLTransformerBeanInfo()

The default Constructor

### Method Detail

#### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

Gets the `XSLTransformer` bean's `PropertyDescriptors`

Specified by:
  `getPropertyDescriptors` in interface `java.beans.BeanInfo`
Overrides:
  `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`
Returns:
  An array of PropertyDescriptors describing the editable properties supported by `XSLTransformer` bean.

#### getIcon

    public java.awt.Image getIcon(int iconKind)

Gets an image object that can be used to represent `XSLTransformer` bean in toolbars, toolboxes, etc.

Specified by:
  `getIcon` in interface `java.beans.BeanInfo`
Overrides:
  `getIcon` in class `java.beans.SimpleBeanInfo`
Parameters:
  `iconKind` - The kind of icon requested.
Returns:
  An image object representing the requested icon type for `XSLTransformer` bean.

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.